MAN(1)

NOM
man - Interface de consultation des manuels de référence en ligne

SYNOPSIS
man [-c|-w|-tZ] [-H[navigateur]] [-T[périphérique]] [-adhu7V] [-i|-I] [-m système[,...]] [-L langue] [-p chaîne] [-C fichier] [-M chemin] [-P afficheur] [-r invite] [-S liste] [-e extension] [[section] page ...] ...
man -l [-7] [-tZ] [-H[navigateur]] [-T[périphérique]] [-p chaîne] [-P afficheur] [-r invite] fichier ...
man -k [apropos options] expression_rationnelle ...
man -f [whatis options] page ...

DESCRIPTION
man est le programme de visualisation des pages de manuel. Chacun des arguments page, indiqué dans la ligne de commande de man, porte, en principe, le nom d'un programme, d'un utilitaire ou d'une fonction. La page de manuel correspondant à chaque argument est alors trouvée et affichée. Si une section est précisée alors man limite la recherche à cette section. Par défaut, il recherche dans toutes les sections disponibles, suivant un ordre prédéfini. Il n'affiche que la première page de manuel trouvée, même si d'autres pages de manuel existent dans d'autres sections. Le tableau ci-dessous indique le numéro des sections de manuel ainsi que le type de pages qu'elles contiennent.
1 | Programmes exécutables ou commandes de l'interpréteur de commandes (shell) ;
2 | Appels système (Fonctions fournies par le noyau) ;
3 | Appels de bibliothèque (fonctions fournies par les bibliothèques des programmes) ;
4 | Fichiers spéciaux (situés généralement dans /dev) ;
5 | Formats des fichiers et conventions. Par exemple /etc/passwd ;
6 | Jeux ;
7 | Divers (y compris les macropaquets et les conventions). Par exemple, man(7), groff(7) ;
8 | Commandes de gestion du système (généralement réservées au superutilisateur) ;
9 | Sous-programmes du noyau [hors standard].
Une page de manuel est constituée de plusieurs parties. Elles peuvent être libellées NOM, SYNOPSIS, DESCRIPTION, OPTIONS, FICHIERS, VOIR AUSSI, BOGUES et AUTEUR. Les conventions suivantes s'appliquent à la section SYNOPSIS et peuvent être utilisées comme un guide pour les autres sections.
texte gras | à taper exactement comme indiqué ;
texte italique | à remplacer par l'argument approprié ;
[-abc] | tous les arguments entre [ ] sont facultatifs ;
-a|-b | les options séparées par | ne peuvent pas être utilisées simultanément ;
argument ... | argument peut être répété ;
[expression] ... | l'ensemble de l'expression située à l'intérieur de [ ] peut être répétée.
Le synopsis de la commande ou de la fonction est un modèle qui permet de représenter toutes les utilisations possibles. Dans certains, cas il est recommandé d'illustrer plusieurs utilisations exclusives comme dans la partie SYNOPSIS de cette page de manuel.

EXEMPLES

man ls
    Affiche la page de manuel de l'élément (du programme) ls.

man -a intro
    Affiche, successivement, toutes les pages de manuel disponibles nommées « intro ». Il est possible de s'arrêter après l'affichage de chaque page ou de sauter n'importe quelle page.

man -t alias | lpr -Pps
    Formate la page du manuel de « alias » (une page de manuel de l'interpréteur de commandes) selon le format par défaut (troff ou groff) et la redirige vers l'imprimante nommée « ps ». Le format généré, par défaut, pour groff est habituellement PostScript. man --help devrait préciser le format associé à l'option -t.

man -l -Tdvi ./toto.1x.gz > ./toto.1x.dvi
    Cette commande décompresse puis met en forme la page de manuel source nroff nommée ./toto.1x.gz. Elle l'enregistre ensuite dans un fichier « device independent » (dvi). La redirection est nécessaire car l'option -T produit une sortie sur stdout sans aucun programme d'affichage. Le résultat peut être visualisé avec un programme tel que xdvi ou être ultérieurement transformé au format PostScript grâce à un programme comme dvips.

man -k printf
    Recherche la description courte et le nom des pages de manuel comportant le mot-clé printf, utilisé comme une expression rationnelle, puis affiche tout ce qui a été trouvé. Cette commande est équivalente à apropos -r printf.

man -f smail
    Recherche les pages de manuel nommées smail et en affiche les descriptions courtes. Équivalent à whatis -r smail.

VUE D'ENSEMBLE
Beaucoup d'options sont disponibles avec man afin de donner autant de souplesse que possible à l'utilisateur. Des modifications peuvent être apportées au chemin de recherche, à l'ordre d'exploration des sections, au programme d'affichage ainsi qu'à d'autres éléments et comportements. Tout ceci est détaillé ci-après. Si elles ne sont pas vides, diverses variables d'environnement sont exploitées pour influer sur le fonctionnement de man. Il est possible de donner à la variable « fourre-tout » $MANOPT n'importe quelle chaîne de caractères respectant le format de la ligne de commande. La seule condition est que toutes les espaces, utilisées en tant qu'élément de l'argument d'une option, soient « échappées », c'est-à-dire précédées par une contre-oblique « \ » (antislash). man analysera $MANOPT avant d'analyser sa propre ligne de commande. Ainsi, les options exigeant un argument seront remplacées par les mêmes options trouvées sur la ligne de commande. Pour ignorer toutes les options placées dans $MANOPT, l'option -D peut être indiquée comme option initiale de la ligne de commande. Ceci permettra à man d'« oublier » les options indiquées dans $MANOPT. Toutefois, celles-ci doivent quand même être valides. Les utilitaires de l'afficheur des pages de manuel de man-db font une large utilisation des bases de données d'indexation. Ces bases de données forment un « cache » du système de fichiers qui contient les pages de manuel. Elles contiennent des informations telles que l'emplacement de chaque page de manuel et la description courte de leur contenu (obtenue par whatis). Ceci est fait pour permettre à man de s'exécuter plus rapidement que s'il devait rechercher à chaque fois ces informations dans le système de fichiers. Si l'option -u est utilisée, man vérifiera que ces bases de données d'indexation demeurent cohérentes afin d'éviter d'avoir recours manuellement à la mise à jour des bases de données textuelles traditionnelles de whatis. Si man ne trouve pas la base de données d'indexation, produite par mandb, pour une structure hiérarchique particulière de pages de manuel, il cherchera tranquillement les pages de manuel demandées, bien que le fichier de globalisation soit nécessaire. Si whatis ou apropos ne trouvent pas la base de données d'indexation ils essaieront d'extraire l'information depuis une base de données whatis traditionnelle. Ces utilitaires acceptent les fichiers source compressés nroff ayant, par défaut, les extensions .Z, .z et .gz. Il est possible de prendre en charge n'importe quelle extension de compression, mais cette information doit être fournie au moment de la compilation. En outre, par défaut, toutes les pages « cat » produites sont compressées avec gzip. Chaque structure hiérarchique « globale » de pages de manuel comme /usr/share/man ou /usr/X11R6/man peut contenir un répertoire quelconque pour stocker la structure hiérarchique de pages « cat ». Traditionnellement les pages « cat » sont stockées dans la même structure hiérarchique que les pages de manuel, mais, pour des raisons comme celles indiquées dans la norme de structuration hiérarchique des fichiers « File Hierarchy Standard (FHS) », il peut être préférable de les stocker ailleurs. Pour les détails, sur la façon de le faire, voir manpath(5). Pour les détails concernant le « Pourquoi faut-il faire ainsi ? », lire la norme. Les pages de manuel traduites sont prises en charge par ce paquet. Ces pages de manuel sont accessibles dans votre langue maternelle (si la traduction est disponible sur votre système) par l'intermédiaire des fonctions locale. Pour activer cette fonctionnalité, il est nécessaire d'indiquer avec $LC_MESSAGES ou avec $LANG (ou avec une autre variable d'environnement suivant le système) la langue ou le dialecte désiré, selon le format décrit dans POSIX 1003.1 : <langue>[_<pays>[.<jeu_de_caractères>[,<version>]]] Si la page désirée est disponible dans votre « locale » (dans votre langue ou votre dialecte), elle sera affichée au lieu de la page standard, écrite le plus souvent dans le dialecte anglo-américain (en_US). Ce paquet prend également en charge les messages traduits. Cette prise en charge peut être activée de la même manière, à la condition que la traduction soit disponible. Si vous constatez que les pages de manuel et les messages fournis avec ce paquet ne sont pas disponibles dans votre langue maternelle et si vous voulez les réaliser, contactez le responsable qui coordonnera cette activité. Pour obtenir des renseignements concernant d'autres fonctionnalités disponibles avec cet afficheur de manuel, lire les documents fournis avec le paquet.

COMPORTEMENT PAR DÉFAUT
man recherche les pages de manuel dans les bases de données d'indexation. Si l'option -u est indiquée, un contrôle de cohérence des bases de données d'indexation est effectué afin de s'assurer qu'elles reflètent exactement le contenu du système de fichiers. Si cette option est toujours utilisée, il n'est, en principe, pas nécessaire d'exécuter mandb, une fois que les bases de données d'indexation auront été initialement créées, sauf en cas d'altération de l'une d'elles. Cependant, le contrôle de cohérence des bases de données d'indexation peut être long sur des systèmes où beaucoup de pages de manuel sont installées. C'est pour cette raison que le contrôle de cohérence n'est pas exécuté par défaut, laissant à l'administrateur du système le soin d'exécuter mandb chaque semaine ou de laisser les bases de données d'indexation telles quelles. Pour prévenir les problèmes provoqués par les bases de données d'indexation périmées, man se retournera vers le fichier de globalisation si une consultation de la base de données d'indexation échoue, exactement comme si aucune n'existait. Une fois qu'une page de manuel a été trouvée, une vérification est exécutée pour déterminer s'il existe un fichier « cat » préformaté plus récent que le fichier au format nroff. Si tel est le cas, le fichier « cat » est (généralement) décompressé puis présenté par un afficheur. L'afficheur à utiliser peut être précisé, sinon l'afficheur par défaut sera utilisé (voir l'option -p pour les détails). Si aucun fichier « cat » plus récent que le fichier nroff n'est trouvé, le fichier nroff est traité par divers programmes et affiché immédiatement. Si un fichier « cat » peut être produit (si un répertoire relatif pour les « cat » existe avec les droits appropriés) alors man compressera et enregistrera le fichier « cat » en arrière plan. Les filtres sont déterminés de plusieurs façons. Tout d'abord, l'option -p ou la variable d'environnement $MANROFFSEQ sont vérifiées. Si -p n'est pas employée et que la variable d'environnement est vide alors la première ligne du fichier nroff est analysée à la recherche d'une chaîne de caractères indiquant le préprocesseur à utiliser. Pour que l'indication du préprocesseur soit valide, la première ligne doit ressembler à : '\" <chaîne> dans laquelle string peut être n'importe quelle combinaison de lettres, décrite par l'option -p ci-dessous. Si aucune des méthodes précédentes ne fournit d'indication sur le filtre à utiliser, une valeur par défaut est utilisée. Une chaîne de formatage est constituée et exécutée à partir des filtres et du format de départ (nroff ou [tg]roff avec l'option -t). Toutefois, si un programme exécutable mandb_nfmt (ou mandb_tfmt avec l'option -t) existe à la racine de l'arborescence des pages de manuel, c'est lui qui sera exécuté. Il recevra en argument le fichier source de la page de manuel, la chaîne de préprocesseur et, éventuellement, le périphérique indiqué par les arguments de -T ou -E.

OPTIONS
La duplication d'options sans argument dans la ligne de commande ou dans $MANOPT (ou dans les deux) n'est pas gênante. Pour les options qui requièrent un argument, chaque duplication remplace la valeur précédemment donnée à l'argument.

-l, --local-file
    Active le mode « local ». Met en forme et affiche les fichiers des manuels locaux (NdT : ceux situés dans le répertoire courant) au lieu de rechercher dans la liste des manuels du système. Chaque page de manuel indiquée en argument est interprétée comme étant un fichier source nroff correctement formé. Aucun fichier « cat » n'est produit. Si un « - » apparaît comme argument, l'entrée est prise depuis stdin. Quand l'option -l n'est pas employée, et que man ne trouve pas la page demandée, avant d'afficher le message d'erreur, il essaie de faire comme si cette option avait été indiquée en utilisant le nom de la page demandée comme nom de fichier et en recherchant une correspondance exacte dans le répertoire courant.

-L locale, --locale=locale
    man détermine habituellement la « locale » (NdT : la langue ou le dialecte) courante par un appel à la fonction C setlocale(3) qui consulte diverses variables d'environnement, y compris $LC_MESSAGES et $LANG. Pour remplacer temporairement la valeur définie, utilisez cette option. Elle fournit directement à man la chaîne de caractères représentant la locale. Notez que cette valeur ne prendra effet que pour la recherche des pages. Par conséquent, les autres affichages, tels que les messages d'aide, seront toujours montrés dans la langue réglée initialement.

-D, --default
    Cette option est normalement utilisée comme la toute première option et réinitialise les comportements de man à leurs valeurs par défaut. Son utilisation réinitialise les options qui auraient pu être modifiées par les valeurs placées dans $MANOPT. Toutes les options qui suivent -D auront leur effet habituel.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier par défaut ~/.manpath.

-M liste_de_chemins, --manpath=liste_de_chemins
    Précise le chemin de recherche à utiliser. Par défaut, man se sert de manpath pour déterminer la liste des chemins d'accès aux structures hiérarchiques de pages de manuel. Cette option remplace la variable d'environnement $MANPATH et entraîne l'inefficience de l'option -m. Chaque chemin indiqué avec cette option doit être la racine d'une hiérarchie de pages de manuel, structurée en sections, comme décrit dans le manuel de man-db, sous le titre « Système des pages de manuel ». Pour consulter des pages de manuel situées en dehors de telles structures hiérarchiques, utilisez l'option -l.

-P afficheur, --pager=afficheur
    Précise l'afficheur à utiliser. Par défaut, man utilise pager -s. Cette option remplace la variable d'environnement $PAGER et n'est pas utilisable avec -f ou -k.

-r invite, --prompt=invite
    Si une version récente de less est utilisée comme afficheur, man tentera de régler l'invite ainsi que d'autres options. L'invite par défaut ressemble à : Manual Page nom(section) line x Dans laquelle nom représente le nom de la page de manuel, section le numéro de section où la page a été trouvée et x le numéro de la ligne actuelle. Ce résultat est obtenu en utilisant la variable d'environnement $LESS. L'utilisation de l'option -r, avec une chaîne de caractères, remplacera cette valeur par défaut. La chaîne indiquée peut contenir la variable de substitution $MAN_PN qui sera remplacée par le nom de la page de manuel affichée, accompagnée de son numéro de section, entouré par « ( » et « ) ». La chaîne employée pour obtenir la valeur par défaut ressemble à : \ Manual\ page\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB %pB\\%.. Cette chaîne à été coupée en deux lignes, ici, uniquement pour des raisons de lisibilité. Pour sa signification, consultez la page de manuel de less(1). La chaîne de caractères est d'abord évaluée par l'interpréteur de commandes. Toutes les guillemets, apostrophes inversées et contre-obliques (antislash) devant apparaître dans l'invite doivent être précédées du caractère d'« échappement » « \ ». La chaîne de caractères de l'invite peut se terminer par un $ « échappé » qui peut être suivi d'autres options de less. Par défaut, man utilise l'option -ix8. Si vous voulez remplacer de façon permanente l'invite de man, utilisez la variable d'environnement $MANLESS décrite ci-dessous.

-7, --ascii
    En visualisant une page de manuel en ascii(7) pur, sur un terminal 7 bits ou sur un émulateur de terminal, certains caractères peuvent ne pas être affichés correctement lors de l'utilisation d'un descripteur de périphérique latin1(7) avec GNU nroff. Cette option permet aux pages de manuel en ascii pur d'être affichées en ascii sur des périphériques latin1. Il n'y aura pas de traduction du texte en latin1. La table ci-dessous montre les traductions effectuées. Certains éléments de cette table ne peuvent être affichées correctement qu'en utilisant un périphérique latin1 conforme à GNU nroff.
    Description | Octal | latin1 | ascii
    trait d'union | 255 |  | -
    point médian | 267 | • | o
    accent aigu | 264 | ´ | '
    symbole de multiplication | 327 | × | x
    Si la colonne latin1 est affichée correctement, votre terminal peut être exploité avec les caractères latin1 et cette option est inutile. Si les colonnes latin1 et ascii sont identiques, soit vous avez utilisé cette option, soit man n'a pas formaté cette page en utilisant le descripteur de périphérique latin1. Si la colonne latin1 est absente ou altérée, vous devriez utilisez cette option. Cette option est ignorée lors de l'usage des options -t, -H, -T, ou -Z et peut être omise pour les nroff autres que ceux du GNU.

-S liste, --sections=liste
    Liste ordonnée des numéros des sections où doit être effectuée la recherche. Cette liste utilise « : » comme séparateur. Cette option remplace la variable d'environnement $MANSECT.

-a, --all
    Par défaut, man s'arrêtera après avoir affiché la page de manuel la plus appropriée trouvée. L'emploi de cette option force man à afficher toutes les pages de manuel dont les noms satisfont les critères de recherche.

-c, --catman
    Cette option n'est pas d'un usage général et devrait seulement être utilisée par le programme catman.

-d, --debug
    N'affiche pas de page de manuel mais fournit beaucoup d'informations pour la mise au point.

-e sous-extension, --extension=sous-extension
    Certains paquets installent un grand nombre de pages de manuel dans la structure hiérarchique principale des manuels, comme celles qui accompagnent le paquet Tcl. Pour éviter d'avoir deux pages de manuel avec le même nom, comme exit(3), toutes les pages de manuel de Tcl étaient habituellement assignées à la section l. Comme ceci est maladroit, il est maintenant possible de mettre les pages dans la bonne section, et de leur assigner une extension spécifique. Dans le cas présent exit(3tcl). En fonctionnement normal, man affichera exit(3) de préférence à exit(3tcl). Pour gérer cette situation et éviter d'avoir à connaître la section où se trouve la page désirée, il est maintenant possible de donner à man une chaîne de sous-extension indiquent à quel paquet la page appartient. Avec l'exemple ci-dessus, l'emploi de l'option -e tcl limitera la recherche aux pages ayant une extension *tcl.

-f, --whatis
    Équivalent à whatis. Affiche, si elle est disponible, une courte description de la page de manuel. Voir whatis(1) pour obtenir des détails.

-h, --help
    Affiche un message d'aide et s'arrête.

-i, --ignore-case
    Ignore la casse lors de la recherche de la page de manuel. C'est le comportement par défaut.

-I, --match-case
    Cherche la page de manuel en tenant compte de la casse.

-k, --apropos
    Équivalent à apropos. Cherche la description courte des pages de manuel correspondant au mot-clé et affiche toutes celles qu'il trouve. Voir apropos(1) pour obtenir des détails.

-m système[,...], --systems=système[,...]
    Si le système a accès aux pages de manuel d'un autre système d'exploitation, celles-ci peuvent être consultées en utilisant cette option. Pour rechercher une page de manuel du système d'exploitation NewOS, employez l'option -m NewOS. Le système mentionné peut être une succession de noms de systèmes d'exploitation, séparés par des virgules. Pour que la recherche ait lieu également sur le système d'exploitation natif, il faut inclure le nom système man dans la chaîne fournie en argument. (NdT : il semble que le système natif soit inclus dans la recherche, même en l'absence de cette valeur.) Cette option remplace la variable d'environnement $SYSTEM.

-p chaîne, --preprocessor=chaîne
    Indique la liste des préprocesseurs à utiliser avant nroff, troff ou groff. Toutes les implémentations ne disposent pas du jeu complet de préprocesseurs. Voici une liste de certains préprocesseurs, avec les lettres les désignant : eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Cette option remplace la variable d'environnement $MANROFFSEQ. zsoelim est toujours exécuté comme le tout premier préprocesseur.

-u, --update
    Cette option contraint man à faire une vérification, au niveau inode, des bases de données d'indexation afin de s'assurer qu'elles reflètent bien la réalité du système de fichiers. Cette option n'aura d'effet que si man est installé avec le bit setuid.

-t, --troff
    Utilise groff -mandoc pour mettre en forme la page de manuel sur stdout. Cette option n'est pas nécessaire avec -H, -T, ou -Z.

-T[périphérique], --troff-device[=périphérique]
    Cette option est utilisée pour modifier ce qui est produit par groff (ou éventuellement par troff) afin d'être exploitable par un périphérique autre que le périphérique par défaut. Cette option implique l'option -t. Exemples de périphériques (fournis avec Groff-1.17) : dvi, latin1, ps, utf8, X75 et X100.

-Z, --ditroff
    groff exécutera troff puis utilisera le postprocesseur approprié afin de produire une sortie exploitable par le périphérique choisi. Si groff -mandoc est groff alors cette option sera passée à groff et aucun postprocesseur ne sera exécuté. Cette option induit -t.

-H[navigateur], --html[=navigateur]
    Cette option fera produire à groff une page au format HTML qui sera ensuite affichée dans un navigateur web. Le choix du navigateur est déterminé soit par l'argument optionnel browser, s'il est indiqué, soit par la variable d'environnement $BROWSER ou sinon par la valeur par défaut indiquée lors de la compilation (habituellement lynx). Cette option induit -t et ne fonctionne qu'avec les troff GNU.

-E périphérique, --encoding=périphérique
    Produit une sortie avec un encodage de caractères autre que celui par défaut. En raison de la manière dont nroff est actuellement conçu, l'argument de cette fonction doit être un périphérique nroff tel que ascii, latin1, ou utf8.

-w, --where, --location
    N'affiche pas les pages de manuel mais affiche le/les emplacement(s) des fichiers source nroff qui auraient dû être mis en forme.

-W, --where-cat, --location-cat
    N'affiche pas les pages de manuel mais affiche le/les emplacement(s) des fichiers « cat » qui auraient dû être affichés. Si -w et -W sont indiqués conjointement, les deux affichages seront séparés par une espace.

-V, --version
    Affiche le numéro de version.

VALEUR DE RETOUR

0   Programme exécuté sans erreur.

1   Erreur d'utilisation, de syntaxe ou de fichier de configuration.

2   Erreur d'exécution.

3   Un processus fils a produit une valeur de retour non nulle.

16  Au moins une des pages ou un des fichiers ou un des mots-clés n'existe pas ou n'a pas été trouvé.

ENVIRONNEMENT

MANPATH
    Si $MANPATH est définie, sa valeur est exploitée comme le chemin de recherche des pages de manuel.

MANROFFSEQ
    Si $MANROFFSEQ est définie, sa valeur est exploitée pour déterminer l'ensemble des préprocesseurs à appliquer à chacune des pages de manuel. La liste des préprocesseurs est dépendante du système utilisé.

MANSECT
    Si $MANSECT est définie, sa valeur est une liste de sections, séparées par « : ». Cette liste est utilisée pour déterminer dans quelles sections de manuel, et dans quel ordre la recherche doit s'effectuer.

PAGER
    Si $PAGER est définie, sa valeur est exploitée en tant que nom du programme utilisé pour afficher les pages de manuel. Par défaut, pager -s est utilisé.

MANLESS
    Si $MANLESS est définie, man ne produira pas la chaîne de caractères habituelle permettant d'obtenir l'invite de l'afficheur less. Au lieu de cela, la valeur de $MANLESS sera copié in extenso dans $LESS. Par exemple, si vous voulez obtenir dans tous les cas la chaîne d'invite « Ma chaîne d'invite » donnez à $MANLESS la valeur « -PsMa chaîne d'invite ».

BROWSER
    Si $BROWSER est définie, sa valeur est une liste de commandes délimitées par « : ». Chaque élément de la liste est utilisé pour essayer de lancer un navigateur web lors de l'utilisation de man --html. Dans chaque commande, %s est remplacé par un nom de fichier contenant la page de manuel au format HTML produite à partir de groff, %% est remplacé par un simple signe « % » et %c est remplacé par « : ».

SYSTEM
    Si $SYSTEM est définie, elle aura le même effet que l'option -m chaîne dans laquelle « chaîne » serait considérée comme le contenu de $SYSTEM.

MANOPT
    Si $MANOPT est définie, elle sera analysée préalablement à la ligne de commande de man et son contenu doit avoir un format similaire. Étant donné que les actions produites par l'ensemble des autres variables d'environnement spécifiques à man peuvent être obtenues grâce aux options de la ligne de commande et qu'elles peuvent, de ce fait, être placées dans $MANOPT, il est prévu que ces variables d'environnement tombent en désuétude. N'oubliez pas que toutes les espaces qui devront être interprétées comme éléments de l'argument d'une option doivent être « échappées ».

MANWIDTH
    Si $MANWIDTH est définie, sa valeur est utilisée comme indiquant la largeur de la ligne pour toutes les pages de manuel qui seront formatées. Si elle est vide, les pages de manuel seront formatées avec une largeur de ligne appropriée au terminal utilisé. Cette largeur sera déterminée soit grâce à un ioctl(2) s'il est disponible, soit d'après la valeur de $COLUMNS, soit à 80 colonnes si aucune indication n'est trouvée. Les pages « cat » ne seront enregistrées que si la mise en forme par défaut est utilisée, c'est-à-dire quand la largeur de ligne du terminal est comprise entre 66 et 80 colonnes.

LANG, LC_MESSAGES
    Suivant le système et l'implémentation, soit $LANG, soit $LC_MESSAGES, soit les deux, seront interrogées pour déterminer la langue ou le dialecte utilisé. man affichera ses messages dans cette langue ou ce dialecte (s'ils sont disponibles). Consultez setlocale(3) pour plus de détails.

FICHIERS

/etc/manpath.config
    Fichier de configuration de man-db.

/usr/share/man
    Structure hiérarchique de pages de manuel globale

/usr/share/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/cache/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale de remplacement ou conforme à FHS.

VOIR AUSSI
mandb(8), manpath(1), manpath(5), apropos(1), whatis(1), catman(8), less(1), nroff(1), troff(1), groff(1), zsoelim(1), setlocale(3), man(7), ascii(7), latin1(7), le manuel du paquet man-db, FSSTND.

HISTORIQUE
1990, 1991 - Première version écrite par by John W. Eaton (jwe@che.utexas.edu). 23 Décembre 1992 : Rik Faith (faith@cs.unc.edu) applique les correctifs fournis par Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30 avril 1994 - 23 février 2000 : Wilf. (G.Wilford@ee.surrey.ac.uk) développe et assure la maintenance du paquet avec l'aide de personnes choisies. 30 octobre 1996 - 30 mars 2001 : Fabrizio Polacco <fpolacco@debian.org> assure la maintenance et développe ce paquet pour le projet Debian avec l'aide de toute la communauté. Depuis le 31 mars 2001 : Colin Watson <cjwatson@debian.org> est désormais le responsable et le developpeur de man-db.

TRADUCTION
Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande « man -L en nom_de_la_page ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.